﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace StickyNotes
{
    public partial class Form2 : Form
    {
        StickyNotes notes = new StickyNotes();
        public Form2()
        {
            InitializeComponent();
            this.Opacity = 0;

            notes.firstRun();
            notes.openFiles();
        }

        // pokud aplikaci byla odeslána zpráva a je shodná se zprávou nadefinovanou pak se zobrazí poznámky
        protected override void WndProc(ref Message m)
        {
            if (m.Msg == StickyNotes.single_instance.WM_SHOWME)
                this.WindowState = FormWindowState.Normal;

            base.WndProc(ref m);
        }

        // při zavření aplikace (např. vypínání systému, správce úloh) uloží všechny poznámky)
        private void Form2_FormClosing(object sender, FormClosingEventArgs e)
        {
            foreach (Form form in Application.OpenForms)
            {
                if (form.Name == "Form1")
                {
                    notes.saveFiles((Form1)form);
                }
            }
            Application.Exit();
        }

        // minimalizuje, zobrazí všechny poznámky dle aktuálního stavu tohoto okna
        private void Form2_Resize(object sender, EventArgs e)
        {
            if (WindowState == FormWindowState.Minimized)
            {
                foreach (Form form in Application.OpenForms)
                {
                    if (form.Name == "Form1")
                    {
                        form.WindowState = FormWindowState.Minimized;
                    }
                }
            }
            else if (WindowState == FormWindowState.Normal)
            {
                foreach (Form form in Application.OpenForms)
                {
                    if (form.Name == "Form1")
                    {
                        form.WindowState = FormWindowState.Normal;
                    }
                }
            }
        }

        private void Form2_Activated(object sender, EventArgs e)
        {
            foreach (Form form in Application.OpenForms)
            {
                if (form.Name == "Form1")
                {
                    form.WindowState = FormWindowState.Normal;
                }
            }
        }

    }
}
